<template>
	<view class="pages">

		<view class="title">
			添加能力
		</view>

		<view class="">
			小程序创建完成后，开发者登录 开放平台控制台 > 找到已创建的小程序 > 点击进入小程序管理后台 > 在 版本管理 页面的 能力列表 部分点击添加能力 > 勾选 小程序订单中心 能力并点击 确定 完成能力添加。
		</view>

		<view class="hg20">

		</view>

		<view class="title">
			签约能力
		</view>

		<view class="">
			小程序创建完成后，开发者登录 开放平台控制台 > 找到已创建的小程序 > 点击进入小程序管理后台 > 在 版本管理 页面的 能力列表 部分点击添加能力 > 勾选 小程序订单中心 能力并点击 确定 完成能力添加。
		</view>
		<view class="hg20">

		</view>
		<view class="red">
			*小程序上线后再进行签约
		</view>

		<button hover-class="none" @click="bindSign" class="flex-grow-1 flex-center submit ft28">
			签约小程序订单中心
		</button>
		
		<view class="desc">
			{{desc}}
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				desc: '',
			}
		},
		onLoad() {
			this.queryAgent();
		},

		methods: {
			queryAgent() {
				this.request({
					url: 'setting/order_center_queryAgent',
					data: {
						admin_id: uni.getStorageSync("admin_id"),
					}
				}).then(res => {
					if (res.code == 200) {
						this.desc = res.data.msg;
					}
				})
			},
			// 规则列表
			bindSign(e) {
				uni.showModal({
					title: '提示',
					content: "是否要签约订单中心？",
					showCancel: true,
					cancelText: '取消',
					confirmText: '确定',
					success: r => {
						if (r.confirm) {
							this.request({
								url: 'setting/qianyue',
								data: {
									admin_id: uni.getStorageSync("admin_id"),
									type: 1,
								}
							}).then(res => {
								if (res.code == 200) {
									uni.showToast({
										title: res.message
									})

								}
							})

						}
					},
					fail: () => {},
					complete: () => {}
				});
			},

		}
	}
</script>

<style>
	.pages {
		padding: 30rpx;
	}

	.desc {
		width: 630rpx;
		margin: 0 auto;
		color: red;
		text-align: center;
		padding-top: 30rpx;
	}

	.title {
		font-size: 32rpx;
		font-weight: 600;
	}

	.hg20 {
		height: 20rpx;
	}

	.red {
		color: red;
	}

	.submit {
		background-color: #007AFF;
		color: #FFFFFF;
		width: 630rpx;
		margin: 0 auto;
		height: 98rpx;
		margin-top: 30rpx;
	}
</style>
